/*
   HARK Library
   Copyright (C) 2021 Honda Research Institute Japan Inc.
 */

#include "hark-lib/datastream.h"
#include "hark-lib/error.h"

namespace hark
{
    DataProxy::DataProxy(BaseNode *parent, const std::string &name):
        DataSource(parent, name), DataSink(parent, name)
    {
    }

    DataProxy::~DataProxy()
    {
    }

    void
    operator << (DataSink &sink, DataSource &source)
    {
        source.connect_to(&sink);
        sink.connect_from(&source);
    }
}

/* end of file */
